#!/bin/sh
#
# $FreeBSD: ports/net/openldap22-server/files/slurpd.sh,v 1.8 2004/08/15 18:18:46 eik Exp $
#

# PROVIDE: slurpd
# REQUIRE: slapd
# BEFORE:
# KEYWORD: FreeBSD shutdown

# Add the following line to /etc/rc.conf to enable slurpd:
#
#slurpd_enable="YES"
#
# See slurpd(8) for more flags
#

. "/etc/rc.subr"

name="slurpd"
rcvar=`set_rcvar`

command="/usr/local/libexec/slurpd"
required_files="/usr/local/etc/openldap/slapd.conf"

# read settings, set defaults
load_rc_config $name
: ${slurpd_enable="NO"}
if [ -n "${slurpd_args+set}" ]; then
  warn "slurpd_args is deprecated, use slurpd_flags"
  : ${slurpd_flags="$slurpd_args"}
else
  : ${slurpd_flags=""}
fi

run_rc_command "$1"
